[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadString

Read a string valued key

## Declaration

Source position: inifiles.pp line 175

`public function TCustomIniFile.ReadString(`
`const Section: string;`
`const Ident: string;`
`const Default: string`
`):string; virtual; abstract;`

## Arguments

`Section` |  | Section to read Ident from
`Ident` |  | Name of key to retrieve value from
`Default` |  | Default value to return when the key Ident does not exist.

## Function result

Value of Ident as a string.

## Description

ReadString reads the key Ident in section Section, and returns the value as a string. If the specified key or section do not exist, then the value in Default is returned. Note that if the key exists, but is empty, an empty string will be returned.

## See also

WriteString |  | Write a string value
ReadInteger |  | Read an integer value from the file
ReadBool |  |
ReadDate |  | Read a date value
ReadDateTime |  | Read a Date/Time value
ReadTime |  | Read a time value
ReadFloat |  | Read a floating point value
ReadBinaryStream |  | Read binary data